// @charset "UTF-8";

// checkbox
$md-checkbox-default-color: #D2D0D0 !default;
$md-checkbox-check-color: #0C8AEE !default;
$md-checkbox-margin-right: 10px !default;
$md-checkbox-height: 17px !default;
$md-checkbox-width: 17px !default;

.go-checkbox {
    position: relative;
    cursor: pointer;
    margin-right: $md-checkbox-margin-right;
    input[type=checkbox] {
        visibility: hidden;
        position: absolute;
    }
    span {
        vertical-align: middle;
    }
    i {
        font: normal normal normal 16px/1 FontAwesome;
        display: inline-block;
        vertical-align: middle;
        // border: 1px solid $md-checkbox-default-color;
        height: 15px;
        width: $md-checkbox-width;
        &:after {
            content: "\f096";
            color: #CFCFCF;
            speak: none;
            font: normal;
            text-transform: none;
            line-height: 1;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
            // color: $md-checkbox-check-color;
        }
    }
    // checked
    input[type=checkbox]:checked ~ i,&.active i:after {
        // border-color: $md-checkbox-default-color;
        content: "\f096";
        color: rgb(218, 218, 218);
    }
    input[type=checkbox]:checked ~ i:after,
    &.active i:after {
        content: "\f14a";
        color:rgb(79, 194, 236);
    }
    input[type=checkbox][disabled] ~ i {
        background: #ddd;
    }
}
